Bug 1158838 - with NetworkManager-0.9.10.0-10.git20140704.fc21.x86_64 I can no longer get DHCP address
Summary: with NetworkManager-0.9.10.0-10.git20140704.fc21.x86_64 I can no longer get D...
Keywords:
Status: CLOSED DUPLICATE of bug 1154200
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-30 10:50 UTC by Nikos Mavrogiannopoulos
Modified: 2014-11-18 09:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 09:55:41 UTC


Attachments (Terms of Use)

Description Nikos Mavrogiannopoulos 2014-10-30 10:50:08 UTC
My latest update in Fedora 21 caused my ethernet connection not to be able to connect, and I can no longer update that system.

The network manager version in question is:
$ rpm -q NetworkManager
NetworkManager-0.9.10.0-10.git20140704.fc21.x86_64

And the log I get follows. The interesting part seems to be "assertion 'priv->client_type != 0' failed", which I have no idea what it means.


Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> (eth0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> (eth0): deactivating device (reason 'none') [0]
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Auto-activating connection 'eth0'.
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) starting connection 'eth0'
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> (eth0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> NetworkManager state is now CONNECTING
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> (eth0): device state change: prepare -> config (reason 'none') [40 50 0]
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) successful.
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> (eth0): device state change: config -> ip-config (reason 'none') [50 70 0]
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: client_start: assertion 'priv->client_type != 0' failed
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> (eth0): device state change: ip-config -> failed (reason 'dhcp-start-failed') [70 120 15]
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> NetworkManager state is now DISCONNECTED
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Disabling autoconnect for connection 'eth0'.
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <warn> Activation (eth0) failed for connection 'eth0'
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> (eth0): device state change: failed -> disconnected (reason 'none') [120 30 0]
Oct 30 11:43:12 localhost.localdomain NetworkManager[637]: <info> (eth0): deactivating device (reason 'none') [0]

Comment 1 Jirka Klimes 2014-11-10 08:21:47 UTC
It may be that you don't have any DHCP client installed.
$ rpm -q dhclient

Please check and update your installation?

Comment 2 Nikos Mavrogiannopoulos 2014-11-10 08:32:47 UTC
$ rpm -q dhclient
dhclient-4.3.1-8.fc21.x86_64

Comment 3 Alexander Lindqvist 2014-11-14 10:07:36 UTC
I have the same problem  with Fedora 21 Beta 4 clean install and also after update.

$ rpm -q dhclient
dhclient-4.3.1-8.fc21.x86_64

Comment 4 Alexander Lindqvist 2014-11-14 10:20:01 UTC
I have the same problem  with Fedora 21 Beta 4 clean install and also after update.

$ rpm -q dhclient
dhclient-4.3.1-8.fc21.x86_64

# systemctl status dhclient
● dhclient.service
   Loaded: not-found (Reason: No such file or directory)
   Active: inactive (dead)

Comment 5 Alexander Lindqvist 2014-11-14 19:08:39 UTC
My issue was solved.

creating /etc/dhcp/dhclient.conf and adding the following line solved the issue:

send dhcp-client-identifier = hardware;

This was found in bug https://bugzilla.redhat.com/show_bug.cgi?id=1154200

DHCP server in this case was a Cisco RV320 Router.

Comment 6 Jirka Klimes 2014-11-18 09:55:41 UTC
Alexander, thank you for the analysis.

*** This bug has been marked as a duplicate of bug 1154200 ***


Note You need to log in before you can comment on or make changes to this bug.